﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;

namespace OaktreeLab.USBThermoAPI_Sample {
    class Program {
        static void Main( string[] args ) {
            OaktreeLab.IO.USBThermography thermo = new IO.USBThermography();
            int width = thermo.Width;
            int height = thermo.Height;
            thermo.SetRefreshRate( 2 );
            thermo.SetEmissivity( 0.95 );

            while ( !Console.KeyAvailable ) {
                double[,] t = thermo.ReadTemperture();
                for ( int y = 0 ; y < height ; y++ ) {
                    for ( int x = 0 ; x < width ; x++ ) {
                        Console.Write( string.Format( "{0,5:###.#} ", t[ x, y ] ) );
                    }
                    Console.WriteLine();
                }
                Console.WriteLine();
                Thread.Sleep( 500 );
            }
            thermo.Dispose();
        }
    }
}
