NET.addAssembly( fullfile( pwd, '.\USBThermoAPI.dll'));

thermo = OaktreeLab.IO.USBThermography();
thermo.SetRefreshRate( 2 );
thermo.SetEmissivity( 0.95 );

t = thermo.ReadTemperture();

temperture = zeros( 4, 16 );
for y = 1:thermo.Height
    for x = 1:thermo.Width
        temperture(y,x) = t(x,y);
    end
end

thermo.Dispose();

s = pcolor( temperture );
s.FaceColor = 'interp';
caxis( [10 40] );
